Page MenuHomePhabricator

Release MediaWiki 1.27.4/1.28.3/1.29.2
Closed, ResolvedPublic

Description

Previous release work: T161996

Tracking for activities actually pertaining to making the release of MediaWiki 1.27.4/1.28.3/1.29.2

Patch tarballs

To be applied to all vendor repos:

Related Objects

StatusAssignedTask
Resolveddemon
ResolvedReedy
ResolvedReedy
ResolvedBawolff
ResolvedAnomie
ResolvedBawolff
ResolvedBawolff
ResolvedMaxSem
ResolvedMoritzMuehlenhoff
ResolvedMaxSem
ResolvedReedy
ResolvedReedy
DeclinedNone
DeclinedNone
ResolvedLegoktm
ResolvedBawolff
ResolvedBawolff
ResolvedAnomie
ResolvedReedy
ResolvedReedy
ResolvedBawolff
ResolvedReedy
ResolvedReedy

Event Timeline

Reedy created this task.Nov 10 2017, 11:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2017, 11:27 PM
Reedy updated the task description. (Show Details)Nov 11 2017, 1:54 AM
Reedy updated the task description. (Show Details)Nov 13 2017, 6:55 PM
Reedy updated the task description. (Show Details)Nov 13 2017, 9:03 PM
Reedy updated the task description. (Show Details)Nov 13 2017, 9:12 PM
Reedy updated the task description. (Show Details)Nov 13 2017, 10:32 PM
This comment was removed by Reedy.
Reedy updated the task description. (Show Details)Nov 14 2017, 12:21 AM
Reedy added a comment.EditedNov 14 2017, 1:28 AM

COMMIT-MSG fixes

Reedy updated the task description. (Show Details)Nov 14 2017, 1:29 AM
Reedy closed this task as Resolved.Nov 14 2017, 11:52 PM
Reedy claimed this task.
Reedy changed the visibility from "Custom Policy" to "Public (No Login Required)".
Kghbln added a subscriber: Kghbln.Nov 15 2017, 9:13 AM

@Reedy Thanks a lot for making the releases! This is very much appreciated. The tags for the newly released versions are still missing. Is T180557 a blocker here?

Reedy added a comment.Nov 15 2017, 8:26 PM

@Reedy Thanks a lot for making the releases! This is very much appreciated. The tags for the newly released versions are still missing. Is T180557 a blocker here?

Kind of. I made the task as the last thing I did last night as a reminder/notice to other people that it was a known TODO :) - Wed, Nov 15, 3:57 AM

After being up till 4am local fighting with CI etc (I think I spent at least 8 hours shepherding things through, after already being awake for 10 hours doing other stuff)... I'd had enough by that point. And I didn't want to end up messing that up

I then spent an hour dealing with people trespassing where I live (involving police and ambulances), got about two hours sleep... Then I've been out of the house for the last 12 hours, driven 200 miles... Etc

They will be done this evening!

It's kinda why I put the following into the release announcement... As we end up with CI related problems every time from number of patches etc

Patches will be pushed to gerrit after this email is sent, and will land into the relevant branches as fast as our CI infrastructure allows. Git tags will follow soon after. All related tasks will be made public in phabricator too in the following few hours.

Kind of. I made the task as the last thing I did last night as a reminder/notice to other people that it was a known TODO :) - Wed, Nov 15, 3:57 AM

Oops, so I was in bed early at 2 am. (OO) It indeed looks like you have pretty hard days behind you and you indeed have all my understanding.

It's kinda why I put the following into the release announcement...

I read that but it was probably too unspecific 12 hours later. Admittedly I referred to T180557 in my post but I could swear it was about adding the release history to master and not about tagging. Otherwise my post does not really make any sense at all. I must have been asleep since I did not see the tagging still being an open task. Anyways I probably did not expect this very task to be closed as resolved prior to doing directly related subtasks (except for the doku on wiki and the work on master). All of this is speculation I guess.

Anyways as I said before your effort is much appreciated. No kidding, believe me!

Reedy added a comment.Nov 15 2017, 9:04 PM

Haha. T180275: Update onwiki release notes for 1.27.4/1.28.3/1.29.2 and T180276: Update HISTORY in master after 1.27.4/1.28.3/1.29.2 were release-note-y stuff

The plan wasn't for it to be 24 hours later, but unfortunately, these things happen

T180557: Tag MW 1.27.4/1.28.3/1.29.2 should probably be a parent task of this (as we can't tag till after the release), but that's not really a big deal... I see this task as the act of releasing the tarballs maybe. :)